// Learn TypeScript:
//  - https://docs.cocos.com/creator/2.4/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/2.4/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/2.4/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    start () {
        this.node.on(cc.Node.EventType.MOUSE_UP, this.clickUP, this.node);
        this.node.on(cc.Node.EventType.MOUSE_DOWN, this.clickDOWN, this.node);
    }

    clickUP(evt: cc.Event.EventMouse) {
        console.log("UP =>", evt.getButton())
    }

    clickDOWN(evt: cc.Event.EventMouse) {
        console.log("DOWN =>", evt.getButton())
    }

    // update (dt) {}
}
